#include <limits.h>
#include <stdio.h>

#include "max.h"

int main(int argc, char **argv)
{
    if (argc < 2)
    {
        printf("Usage: %s filename\n", argv[0]);
        return 1;
    }

    int a[] = {25, 4, 17, 2, 47};

    FILE *f = fopen(argv[1], "r");
    if (f == NULL)
    {
        fprintf(stderr, "No such file: %s\n", argv[1]);
        return 1;
    }

    int value;
    int res;
    while (1)
    {
        res = fscanf(f, "%d", &value);
        if (res != 1)
            break;
        printf("%d\n", value);
    }

    while (fscanf(f, "%d", &value) == 1)
    {
        printf("%d\n", value);
    }
    fclose(f);

    int l = sizeof(a) / sizeof(a[0]);
    printf("Length: %d\n", l);

    int m = max(a, l);
    printf("Result: %d\n", m);
    return 0;
}