#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "person.h"

int main()
{
    // Static Person
    person_t *p = calloc(1, sizeof(*p));
    date_t d = {
        year : 1950,
        month : 10,
        day : 02,
    };
    strncpy(p->nickname, "Charlie", 7);
    strncpy(p->name, "Charles", 7);
    strncpy(p->surname, "Brown", 5);
    p->birthday = d;

    print_person(p);
    free(p);

    // Dynamic Person
    FILE *f = fopen("input.txt", "r");
    for (int i = 0; i < 3; i++)
    {
        person_t *p2 = read_person(f);
        if (p2 == NULL)
        {
            break;
        }
        else
        {
            print_person(p2);
            free(p2);
        }
    }
    fclose(f);

    return 0;
}