#include <stdio.h>
#include <stdlib.h>

#include "test_fib.h"

unsigned int fib(unsigned int n)
{
    if (n <= 1)
    {
        return n;
    }
    else
    {
        return fib(n - 1) + fib(n - 2);
    }
}

int main(int argc, char **argv)
{
    test_fib();
    if (argc != 2)
    {
        printf("Usage: fib <number>\n");
        return 1;
    }

    unsigned int n = atoi(argv[1]);

    unsigned int f = fib(n);
    printf("fib(%d) = %d\n", n, f);
}
