#include <stdio.h>
#include <stdlib.h>

#include "test_fib.h"

unsigned int fib_rec(unsigned int i, unsigned int a, unsigned int b)
{
    if (i == 0)
    {
        return a;
    }
    else
    {
        return fib_rec(i - 1, b, a + b);
    }
}

unsigned int fib(unsigned int n)
{
    return fib_rec(n, 0, 1);
}

int main(int argc, char **argv)
{
    test_fib();
    if (argc != 2)
    {
        printf("Usage: fib <number>\n");
        return 1;
    }

    unsigned int n = atoi(argv[1]);

    unsigned int f = fib(n);
    printf("fib(%d) = %d\n", n, f);
}
