public abstract class BaseVec2 implements Vec2 {
    public double length() {
        System.out.println("BaseVec2.length()");
        double x = this.getX();
        double y = this.getY();
        return Math.sqrt(x * x + y * y);
    }

    public boolean equals(Object o) {
        if (o instanceof Vec2) {
            Vec2 v = (Vec2) o;
            return this.getX() == v.getX() && this.getY() == v.getY();
        } else {
            return false;
        }

    }

    public String toString() {
        return this.getClass().getName() + "[" + this.getX() + "," + this.getY() + "]";
    }
}
