package ast.expressions.binary;

import ast.expressions.Expression;
import ast.expressions.Operator;

public class DivExpression extends BinaryExpression{
    
    public DivExpression(Expression lhs, Expression rhs) {
        super(lhs, rhs, Operator.DIV);
    }

    @Override
    public int eval() {
        return this.getLhs().eval() / this.getRhs().eval();
    }
}
