package ast.expressions.binary;

import ast.expressions.Expression;
import ast.expressions.Operator;

public class EqualsExpression extends BinaryExpression {
    
    public EqualsExpression(Expression lhs, Expression rhs) {
        super(lhs, rhs, Operator.EQUALS);
    }

    @Override
    public int eval() {
        return (this.getLhs().eval() == this.getRhs().eval()) ? 1 : 0;
    }
}
