package ast.expressions.unary;

import ast.expressions.Expression;
import ast.expressions.Operator;

public class NotExpression extends UnaryExpression {
    
    public NotExpression(Expression operand) {
        super(operand, Operator.NOT);
    }

    @Override
    public int eval() {
        // Convert operand from int to boolean
        boolean operandBool = this.getOperand().eval() != 0;

        return (!operandBool) ? 1 : 0;
    }
}
