package ast.expressions;

/**
 * This enum(eration) represents the required operators and makes them available
 */
public enum Operator {
    ADD("+"), SUB("-"), MUL("*"), DIV("/"), NEG("~");
    
    private String repr;

    Operator(String repr) {
        this.repr = repr;
    }

    /**
     * This method returns a string representation of the operator
     */
    public String toString() {
        return repr;
    }
}
