package ast.expressions.binary;

import ast.expressions.Expression;
import ast.expressions.Operator;

public class AddExpression extends BinaryExpression {
    
    public AddExpression(Expression lhs, Expression rhs) {
        super(lhs, rhs, Operator.ADD);
    }

    @Override
    public int eval() {
        return this.getLhs().eval() + this.getRhs().eval();
    }
}
