package ast.expressions.unary;

import ast.expressions.Expression;
import ast.expressions.Operator;

public class NegExpression extends UnaryExpression {

    public NegExpression(Expression operand) {
        super(operand, Operator.NEG);
    }

    @Override
    public int eval() {
        return (- this.getOperand().eval());
    }
}
