#include <stdio.h>
#include <limits.h>
#include <stdlib.h>

int max(int *numbers, unsigned int n)
{
    int res = INT_MIN;
    for (int i = 0; i < n; i++)
    {
        if (res < numbers[i])
        {
            res = numbers[i];
        }
    }
    return res;
}

int main(int argc, char **argv)
{
    if (argc != 2)
    {
        printf("Wrong usage!");
        return 1;
    }

    // Counting Numbers
    FILE *file = fopen(argv[1], "r");
    if (file == NULL)
    {
        printf("This is no proper file.\n");
        return 1;
    }
    int length = 0;
    int value = 0;
    while (fscanf(file, "%d", &value) == 1)
    {
        length++;
    }
    printf("Length: %d\n", length);
    fclose(file);

    // Reading Numbers
    int *a = calloc(length, sizeof(int));
    file = fopen(argv[1], "r");
    int i = 0;
    while (fscanf(file, "%d", &value) == 1)
    {
        a[i++] = value;
    }
    fclose(file);

    int res = max(a, length);
    printf("Max is: %d", res);
    free(a);
    return 0;
}