#ifndef PERSON_H
#define PERSON_H

#include <stdio.h>

typedef struct date
{
    unsigned int year;
    unsigned int month;
    unsigned int day;
} date_t;

typedef struct person
{
    char nickname[10];
    char surname[20];
    char name[20];
    date_t birthday;
} person_t;

person_t *read_person(FILE *f);
void print_person(person_t const *person);

#endif