#include <stdio.h>
#include <stdlib.h>

#include "test_fib.h"

unsigned int fib(unsigned int n)
{
    unsigned int F[n + 1];

    F[0] = 0;
    if (n == 0)
    {
        return F[0];
    }

    F[1] = 1;
    for (int i = 2; i <= n; i++)
    {
        F[i] = F[i - 1] + F[i - 2];
    }
    return F[n];
}

int main(int argc, char **argv)
{
    test_fib();
    if (argc != 2)
    {
        printf("Usage: fib <number>\n");
        return 1;
    }

    unsigned int n = atoi(argv[1]);

    unsigned int f = fib(n);
    printf("fib(%d) = %d\n", n, f);
}
