#include <stdio.h>
#include <stdlib.h>

#include "test_fib.h"

unsigned int fib(unsigned int n)
{
    int n2, n1;
    n2 = 0;
    n1 = 1;

    if (n == 0)
    {
        return n2;
    }
    for (int i = 2; i <= n; i++)
    {
        int n = n2 + n1;
        n2 = n1;
        n1 = n;
    }
    return n1;
}

int main(int argc, char **argv)
{
    test_fib();
    if (argc != 2)
    {
        printf("Usage: fib <number>\n");
        return 1;
    }
    unsigned int n = atoi(argv[1]);

    unsigned int f = fib(n);
    printf("fib(%d) = %d\n", n, f);
}
