#include <stdio.h>
#include <assert.h>
#include <limits.h>

#include "roots.h"

int main()
{
  double r[2];
  unsigned res;

  // Test linear-none
  res = roots(0, 0, 2, r);
  assert(res == 0);
  printf("Test linear-none passed!\n");

  // Test linear
  res = roots(0, 2, 2, r);
  assert(res == 1 && r[0] == -1);
  printf("Test linear passed!\n");

  // Test null
  res = roots(0, 0, 0, r);
  assert(res == UINT_MAX);
  printf("Test null passed!\n");
}
