#include <stdlib.h>
#include <math.h>
#include <stdio.h>

typedef struct Vec2
{
  double x, y;
} Vec2_t;

void translate(Vec2_t *v, double dx, double dy)
{
  v->x += dx;
  v->y += dy;
}

double length(Vec2_t *v)
{
  return sqrt(v->x * v->x + v->y * v->y);
}

Vec2_t *newVec2(double x, double y)
{
  Vec2_t *v = calloc(1, sizeof(Vec2_t));
  v->x = x;
  v->y = y;
  return v;
}

int main(int argc, char **argv)
{
  Vec2_t *a = newVec2(3.0, 4.0);
  printf("%f\n", length(a));
}
