package ast.expressions;

import static org.junit.Assert.assertEquals;

import ast.ASTFactory;

public class Utils {

    public static void testAST(Expression root, String output, int value) {
        assertEquals("Wrong toString()", output, root.toString());
        assertEquals("Wrong eval()", value, root.eval());
        if (value < 0) {
            assertEquals("Not equal to constant with same value", ASTFactory.createNegExpression(ASTFactory.createConstExpression(-value)), root);
        } else {
            assertEquals("Not equal to constant with same value", ASTFactory.createConstExpression(value), root);
        }
    }
}
