package ast.expressions.binary;

import ast.expressions.Expression;
import ast.expressions.Operator;

public class MulExpression extends BinaryExpression {
    
    public MulExpression(Expression lhs, Expression rhs) {
        super(lhs, rhs, Operator.MUL);
    }

    @Override
    public int eval() {
        return this.getLhs().eval() * this.getRhs().eval();
    }
}
