package ast.expressions.binary;

import ast.expressions.Expression;
import ast.expressions.Operator;

public class SubExpression extends BinaryExpression {

    public SubExpression(Expression lhs, Expression rhs) {
        super(lhs, rhs, Operator.SUB);
    }

    @Override
    public int eval() {
        return this.getLhs().eval() - this.getRhs().eval();
    }
}
